Package org.zkoss.bind.impl

## Class PropertyBindingImpl

- java.lang.Object
- - org.zkoss.bind.impl.BindingImpl
  - - org.zkoss.bind.impl.PropertyBindingImpl

- All Implemented Interfaces:
    `java.io.Serializable`, `Binding`, `PropertyBinding`
  Direct Known Subclasses:
    `InitPropertyBindingImpl`, `LoadPropertyBindingImpl`, `SavePropertyBindingImpl`

      public abstract class PropertyBindingImpl
      extends BindingImpl
      implements PropertyBinding

  A base implementation of `PropertyBinding`.
  Since:
    6.0.0
  Author:
    henrichen
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected AccessInfo` | `_accessInfo` |
    `protected ExpressionX` | `_fieldExpr` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `PropertyBindingImpl​(Binder binder, Component comp, java.lang.String fieldName, java.lang.String fieldExpr, java.lang.String accessExpr, ConditionType conditionType, java.lang.String command, java.util.Map<java.lang.String,​java.lang.Object> bindingArgs, java.lang.String converterExpr, java.util.Map<java.lang.String,​java.lang.Object> converterArgs)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCommandName()` | Returns the associated command name of this binding; null if not speicified.
    `ConditionType` | `getConditionType()` | Returns the condition type of this binding
    `Converter` | `getConverter()` | Returns the associated _converter with this binding.
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getConverterArgs()` | Returns an argument `<tags, object>` pairs map for converter.
    `java.lang.String` | `getFieldName()` | Returns the field name of the source object.
    `ExpressionX` | `getProperty()` |
    `java.lang.String` | `getPropertyString()` | Returns the property expression script of this binding.
    `protected boolean` | `ignoreTracker()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.zkoss.bind.impl.BindingImpl

      `containsAttribute, getArgs, getAttribute, getBinder, getComponent, setAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.zkoss.bind.sys.Binding

      `getArgs, getBinder, getComponent`

- - ### Field Detail

    - #### _fieldExpr

          protected final ExpressionX _fieldExpr

    - #### _accessInfo

          protected final AccessInfo _accessInfo

  - ### Constructor Detail

    - #### PropertyBindingImpl

          protected PropertyBindingImpl​(Binder binder,
                                        Component comp,
                                        java.lang.String fieldName,
                                        java.lang.String fieldExpr,
                                        java.lang.String accessExpr,
                                        ConditionType conditionType,
                                        java.lang.String command,
                                        java.util.Map<java.lang.String,​java.lang.Object> bindingArgs,
                                        java.lang.String converterExpr,
                                        java.util.Map<java.lang.String,​java.lang.Object> converterArgs)

      Parameters:
        `binder` -
        `comp` -
        `fieldName` - the name of component field (ex, style, value)
        `fieldExpr` - the EL expression to access component field (ex, self.style, self.value)
        `accessExpr` - the binding expression , to access the bean
        `conditionType` - the condition type
        `command` - the command, if the conditionType is not prompt, then command must not null
        `bindingArgs` -
        `converterExpr` -
        `converterArgs` -

  - ### Method Detail

    - #### getConverterArgs

          public java.util.Map<java.lang.String,​java.lang.Object> getConverterArgs()

      Description copied from interface: `PropertyBinding`
      Returns an argument `<tags, object>` pairs map for converter.
      Specified by:
        `getConverterArgs` in interface `PropertyBinding`
      Returns:
        an argument `<tags, object>` pairs map for converter.

    - #### ignoreTracker

          protected boolean ignoreTracker()

    - #### getConverter

          public Converter getConverter()

      Description copied from interface: `PropertyBinding`
      Returns the associated _converter with this binding.
      Specified by:
        `getConverter` in interface `PropertyBinding`
      Returns:
        the associated _converter with this binding.

    - #### getFieldName

          public java.lang.String getFieldName()

      Description copied from interface: `PropertyBinding`
      Returns the field name of the source object.
      Specified by:
        `getFieldName` in interface `PropertyBinding`
      Returns:
        the field name of the source object.

    - #### getCommandName

          public java.lang.String getCommandName()

      Description copied from interface: `PropertyBinding`
      Returns the associated command name of this binding; null if not speicified.
      Specified by:
        `getCommandName` in interface `PropertyBinding`
      Returns:
        the associated command name of this binding; null if not speicified.

    - #### getPropertyString

          public java.lang.String getPropertyString()

      Description copied from interface: `PropertyBinding`
      Returns the property expression script of this binding.
      Specified by:
        `getPropertyString` in interface `PropertyBinding`
      Returns:
        the property expression script of this binding.

    - #### getConditionType

          public ConditionType getConditionType()

      Description copied from interface: `PropertyBinding`
      Returns the condition type of this binding
      Specified by:
        `getConditionType` in interface `PropertyBinding`

    - #### getProperty

          public ExpressionX getProperty()

      Specified by:
        `getProperty` in interface `PropertyBinding`
      Returns:
        the property expression of binding

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`